software-center crashed with AlreadyCalledDeferred in callback()

Bug #636429 reported by Brady Hefner on 2010-09-12
406
This bug affects 72 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt
Natty
Medium
Michael Vogt

Bug Description

Binary package hint: software-center

n

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: software-center 2.1.18.1
ProcVersionSignature: Ubuntu 2.6.35-20.29-generic 2.6.35.4
Uname: Linux 2.6.35-20-generic x86_64
NonfreeKernelModules: wl
Architecture: amd64
Date: Sun Sep 12 09:56:43 2010
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100901.1)
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with AlreadyCalledDeferred in callback()
UserGroups: adm admin cdrom dialout dip fax floppy fuse lpadmin netdev plugdev sambashare tape video

Brady Hefner (bradyhefner) wrote :
tags: removed: need-duplicate-check
Kiwinote (kiwinote) on 2010-12-01
visibility: private → public
Changed in software-center (Ubuntu):
status: New → Confirmed
tags: added: iso-testing
Brian Murray (brian-murray) wrote :

Bug 711984 is a duplicate and about natty and contains the following stack trace:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 1581, in <lambda>
    deferred_wait.callback(exit)))
  File "/usr/lib/python2.7/dist-packages/defer/__init__.py", line 365, in callback
    raise AlreadyCalledDeferred()
AlreadyCalledDeferred

Changed in software-center (Ubuntu Natty):
importance: Undecided → Medium
status: Confirmed → Triaged
Fabio Marconi (fabiomarconi) wrote :

Oserved this in natty 20110227 live session. just after aptd crash

Robert Schauer (rschauer) wrote :

Got this in natty 20110321 when enabling the Universe repo to install emerald. However, it did not seem to actually crash; I got a crash report with the same info, but it did enable the repo and install the package.

Kevin (kevinshlee) wrote :

I experienced exactly the same as what Robert Schauer had.

ubuntu@ubuntu:~$ lsb_release -rd
Description: Ubuntu Natty (development branch)
Release: 11.04

ubuntu@ubuntu:~$ apt-cache policy software-center
software-center:
  Installed: 3.1.24.3
  Candidate: 3.1.25
  Version table:
     3.1.25 0
        500 http://archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
 *** 3.1.24.3 0
        100 /var/lib/dpkg/status

I've used the Ubuntu 11.04 live USB.

tags: added: bugpattern-needed
Karthi (senti10) wrote :

Me too having this Same Issue!

Martin Pitt (pitti) on 2011-04-08
Changed in software-center (Ubuntu Natty):
assignee: nobody → Gary Lasker (gary-lasker)

i got this error when installing the restricted extras from from a fresh booted daily build in dutch live session mode (10 april 2011) also after agreeing to enable the multiverse repo.

installation went fine.

ubuntu@ubuntu:~$ lsb_release -rd
Description: Ubuntu Natty (development branch)
Release: 11.04
ubuntu@ubuntu:~$ apt-cache policy software-center
software-center:
  Geïnstalleerd: 3.1.26.1
  Kandidaat: 3.1.26.1
  Versietabel:
 *** 3.1.26.1 0
        500 http://archive.ubuntu.com/ubuntu/ natty/main i386 Packages
ubuntu@ubuntu:~$ uname -a
Linux ubuntu 2.6.38-8-generic #41-Ubuntu SMP Tue Apr 5 19:29:52 UTC 2011 i686 i686 i386 GNU/Linux

        100 /var/lib/dpkg/status

a second time after a reboot from command line the same issue

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 1600, in <lambda>
    deferred_wait.callback(exit)))
  File "/usr/lib/python2.7/dist-packages/defer/__init__.py", line 365, in callback
    raise AlreadyCalledDeferred()
defer.AlreadyCalledDeferred

Sergio Zanchetta (primes2h) wrote :

Confirmed in Ubuntu i386 pre Beta 2 20110411.1 live usb.
I got this when enabling the Universe repo in the software center clicking "use this source" button to install gtranslator. However, it did not seem to actually crash, repository was enabled.

Changed in software-center (Ubuntu Natty):
assignee: Gary Lasker (gary-lasker) → Michael Vogt (mvo)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.1.26.3

---------------
software-center (3.1.26.3) natty; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/reviews.py:
    - do not crash on multiple origins for the same version
      (LP: #756415)
  * softwarecenter/db/application.py:
    - ensure docid is updated on database reopen() (LP: #757054)
  * softwarecenter/models/appstore.py:
    - refresh docids in active searches if the database is reopend
      (LP: #710920)
  * softwarecenter/backend/aptd.py:
    - do not run update-apt-xapian-index in --update mode to avoid
      in-place database modfications (LP: #507836)
  * test/test_load_icons.py:
    - add test for the icon loader
  * merged lp:~glatzor/software-center/force-bad-quality, this
    fixes the missing ability to override the lintian warning
    (LP: #712377)
  * don't show reviews if we can't determine the origin
  * fix crash when enabling new components (LP: #636429)
  * fix missing details when a channel or a component just got added

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - temporarily disable the deauth option until we have support
      for remove repository in aptdaemon (see LP: #723911)
  * softwarecenter/backend/aptd.py :
    - fix empty error dialog for the case where aptdaemon returns
      an error code with no value (LP: #747172)
    - fix intermittent crash when updating the a-x-i (LP: #657494)
  * softwarecenter/models/viewswitcherlist.py:
    - mark string "In Progress..." for translation, many thanks to
      Hendrik Knackstedt and Florian Greinus for finding this
      (LP: #759240)
  * softwarecenter/view/catview_gtk.py:
    - fix broken translation string (LP: #758656)
  * refresh .pot file
  * softwarecenter/db/update.py:
    - fix crash when reinstalling previous purchases (LP: #760353)
 -- Michael Vogt <email address hidden> Thu, 14 Apr 2011 19:59:42 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
Paolo Rotolo (paolorotolo) wrote :

Confirmed in Ubuntu 11.04 Beta 2... I got this when open the Software Center...

Gary Lasker (gary-lasker) wrote :

Hi Paolo, thanks for your comment. Actually, 11.04 Beta 2 shipped with Software Center version 3.1.26.2, so this fix was not included there. Please update your system to get the current Software Center release which will include the fix for this bug. Thanks! And be sure to let us know if you have any further trouble.

Confirmed in Ubuntu 11.04 Beta 2; after I update of system from beta1 to beta2

Sergio Santoro (tauer92) wrote :

This bug still occurred in 11.04 Beta 2 when I tried to install VideoLan VLC using Ubuntu Software Center.

Gary Lasker (gary-lasker) wrote :

Hey Sergio and Juan. Indeed, this fix was not included in 11.04 Beta 2. Rather, it was released after Beta 2. Please update your system to get the latest version of Software Center (currently 3.1.26.7 in the archives). You can simply use Update Manager to update, or if you prefer you can update Software Center alone using the terminal as follows:

  sudo apt-get update
  sudo apt-get install software-center

That should take care of this problem for you. Many thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers